- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ObjectPtrBase Class Reference

Inherited by ObjectPtrT, and ObjectPtrT< spi::LoggerFactory >.

List of all members.

## Public Member Functions
| ObjectPtrBase ()
virtual | ~ObjectPtrBase ()
virtual void * | cast (const Class &cls) const =0
## Static Public Member Functions
static void | checkNull (const int &null)
static void * | exchange (void **destination, void *newValue)

## Constructor & Destructor Documentation

ObjectPtrBase | ( |  | ) |

virtual ~ObjectPtrBase | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void* cast | ( | const Class & | cls | ) | const`[pure virtual]`

static void checkNull | ( | const int & | null | ) | `[static]`

static void* exchange | ( | void ** | destination,
|  | void * | newValue
| ) | `[static]`

The documentation for this class was generated from the following file:

- objectptr.h